#include "TFile.h"
#include "TTree.h"
   
void demoe(int nevents=200) {
   //load shared lib with the Event class
   gSystem->Load("$ROOTSYS/test/libEvent");
   
   //create a new ROOT file
   TFile f("demoe.root","recreate");
   
   //Create a ROOT Tree with one single top level branch
   int split = 99;  //try also split=1 and split=0
   int bufsize = 16000;
   Event *event = new Event;
   TTree T("T","Event demo tree");
   T.Branch("event","Event",&event,bufsize,split);
   
   //Build Event in a loop and fill the Tree
   for (int i=0;i<nevents;i++) {      
      event->Build(i);
      T.Fill();
   }
   
   T.Print();  //Print Tree statistics
   T.Write();  //Write Tree header to the file
}   
